%define rname	wired-marker
%define version 3.1.09060400
%define release alt2
%define cid 	\{e36db930-f18d-4449-b45f-e286cfb9e03a\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Put permanent marker line on web pages in many color and shapes / option
Summary(ru_RU.KOI8-R):	    -      

License:	MPL
Group:		Networking/WWW
URL:		http://www.wired-marker.org/en/index.html

Packager:	Yury Aliaev <mutabor@altlinux.ru>
Source0:	%rname.xpi

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires: 		unzip
Requires:	%firefox_name >= 2.0

%description
Wired-Marker is a permanent (indelible) highlighter that you use on Web
pages. The highlighter, which comes in various colors and styles, is a
kind of electronic bookmark that serves as a guide when you revisit a
Web page. The highlighted content is automatically recorded in a
bookmark and saved. To use Wired-Marker, you simply drag and drop the
selected sections into a bookmark folder. You can highlight not only
text but also pictures, tables, and selected portions of the screen. You
can even add notes to the highlighted items.

%description -l ru_RU.KOI8-R
Wired-Marker --  ()   -,
     .    
  ,     
 .      
  .    Wired-Marker 
     .    
,    ,     . 
     .

%prep
%setup -T -c -n %rname-%version-fx.xpi
unzip -qq %SOURCE0

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Thu Jan 28 2010 Alexey Gladkov <legion@altlinux.ru> 3.1.09060400-alt2
- Rebuilt with firefox-3.6.

* Sat Aug 22 2009 Yury Aliaev <mutabor@altlinux.org> 3.1.09060400-alt1
- new version

* Wed Aug 20 2008 Yury Aliaev <mutabor@altlinux.ru> 2.0.08072400-alt1
- initial build for Sisyphus
